import { Toolbar, ToolbarItem } from '..';
import { NextPage } from './next-page';
import { PreviousPage } from './previous-page';
import { InputPage } from './input-page';
export declare class Paginate extends ToolbarItem {
    protected previousPage: PreviousPage;
    protected nextPage: NextPage;
    protected inputPage: InputPage;
    setToolbar(toolbar: Toolbar): void;
    initialize(): Promise<void>;
    terminate(): Promise<void>;
    render(): HTMLDivElement;
}
